;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; WWDSLCFG.INI
;;
;; Copyright 2000-2002 GlobeSpanVirata, Inc.
;;
;; Contains customization parameters for the GlobeSpan ADSL Setup application.
;; This file must reside in the Windows Directory.
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[SystemInfo]
Version=2.9.2

; Package version information
PackageVersion=CGU 1.08E A Package 017

; Driver Version
DriverVersion=1.08.0002E

; DSL Status Application Version
DslStatAppVersion=4.2.4

; 8051 Run-time Code version
Rt8051Version=1.01.0008

; Original Firmware Version included with package
FirmwareVersion=Y1.28.209

; 1 if a choice of languages should be displayed, 0 if the language should
; be automatically detected
PromptForLanguage = 0

; A comma delimited list of languages that are supported.  The first
; language in the list will be the default language.  Each language points
; to a section later in this ini file that describes the language.
SupportedLanguages = ENGLISH,TURKISH,CHINESE_SIMP,CHINESE_TRAD,FRENCH,GERMAN,ITALIAN,JAPANESE,KOREAN,PORTUGUESE,SPANISH,DANISH,DUTCH

; Location of registry key where setup information will be stored
SetupSoftwareKey=GlobespanVirata\Adsl

; Location of installed program files, if any, on the windows drive
ProgramFilesDir=\Program Files\Conexant\Adsl

; Name in start menu and control panel add/remove 
ProductName=DSL 200

; PCI or USB
HardwareType=USB

; HardwarePlatform can be: 
;   ANCHOR - Oldest USB solution referring to Anchor 8051 with a Nova xcvr
;   QUASAR - Second generation USB solution combining 8051 and xcvr
;   QUASAR2 - Current USB solution referring to Centragate
;   IAD - Legacy Viking USB (current products use RNDIS)
;   PANDA - Oldest PCI solution
;   PULSAR - Current PCI solution
;   HELIUM - Legacy VVB USB drivers (current products use RNDIS)
;   RNDIS - Current USB drivers for Viking or Helium without recovery drivers
HardwarePlatform=QUASAR2

; Vendor and Device ID (matches ID's programmed into device).  Separate
; multiple values by commas to support multiple device codes
; Must prepend class (USB\ or PCI\) 
UsbCtrlrId=USB\VID_0915&PID_8102,USB\VID_0915&PID_8104,USB\VID_2001&PID_5100,USB\VID_0572&PID_CB16
ModemId=

; Argon device ID for recovery mode.  Ignored by all products except Argon
RecoveryId=

; Tells an RNDIS installation to not block additional modem installations.  This
; only applies to RNDIS installations.  As soon as a non-RNDIS driver is installed
; all future installation attempts will be blocked until that driver is uninstalled.
; Turning this option on could result in residual files and registry keys left on
; the machine since you lose the ability to uninstall the RNDIS installation with 
; this application after another modem is installed.  The other installation must be
; running a version of the installer that supports this option (version 2.7.11 or later).
AllowMultipleInstalls=0

; If 1, then enables the upgrade feature.  If enabled, the installer will check
; for an existing installation before installing, and ask the user if they want
; to upgrade or downgrade.  If disabled, the user will be instructed to remove 
; the existing driver and reinstall.
EnableUpgrade=0

; This value enables the autoconfig feature with the value set to 1.  When
; enabled, autodetection will be performed using the values set in the
; autoconfig.ini file.
EnableAutoConfig=0

; This parameter is used with autoconfig, if enabled.  If 0, and if autoconfig
; is enabled, the user will be given a choice of autoconfig or manual.  If 1,
; then the config method will depend on if autoconfig is enabled.
SkipConfigTypeScreen=0

; If 1, then the first channel detected by autoConfig will be used.  If 0,
; then if multiple channels are detected, the user will be able to pick 
; the desired channel from a list.
SkipDetectResultsScreen=0

; If 1, welcome screen will be skipped.  If 0, it will be shown.
SkipWelcomeScreen=0

; If 1, license agreement screen will be skipped.  If 0, it will be shown,
; and will use the license.txt 
SkipLicenseScreen=0

; If 1, the ISP selection screen will be skipped, and if 0, it will be shown.
; If skipped, the parameters will be obtained from the Default section.
SkipIspSelectionScreen=0

; If 1, the summary screen will be skipped, and if 0, it will be shown.
SkipSummaryScreen=0

; If 1, the finished screen will be skipped, and if 0, it will be shown.
SkipFinishedScreen=0

; If 1, the ArgonIII install type screen will be skipped.  If 0, it will be 
; shown.  If skipped, a USB installation will be performed.  This is used for 
; the Argon products and should be set to 1 for all others.
SkipArgonInsType=1

; This string must match the caption of the control panel window
CplWindowName=DSL Modem

; Create a shortcut in the start menu to the control panel (1 is enable, 0 is disable)
; This only applies to the older gsi.cpl, and is ignored for dslstat.exe
CreateCplStartMenuShortcut=0

; Create uninstall and configure icons in the start menu
CreateUninstallIcon=1
CreateConfigureIcon=1

; If set to 0, there will be no reboots during installation on Win2k.  
; However, the TCP window size will not be set properly without a reboot.
; If set to 1, the system will be rebooted after installation.
Win2kReboot=1

; The following values will specify which files get spawned when the user
; clicks the various help buttons.  The values that end in "File" specify
; the name of the file that will get spawned.  These files must reside in
; the ProgramFiles directory.  The values that end in "Params" will 
; pass the specified string as an argument to the file.  To disable this
; feature, erase everything after the equal signs, and remove the help
; button from maintenance window in the resource file.
; 
; In the following, HelpMaintenance is for the maintenance dialog box
; that is shown when the start menu icon is clicked.  IspSelect is for
; the ISP selection screen.  DriverType is for the driver selection screen.
; Settings is for the communication settings dialog.

HelpConfigTypeFile=
HelpConfigTypeParam=
HelpDetectFile=
HelpDetectParam=
HelpDetectErrorFile=
HelpDetectErrorParam=
HelpDetectResultsFile=
HelpDetectResultsParam=
HelpDriverTypeFile=
HelpDriverTypeParam=
HelpDrvTypeFile=
HelpDrvTypeParam=
HelpErrorFile=
HelpErrorParam=
HelpFinishedFile=
HelpFinishedParam=
HelpInstallFile=
HelpInstallParam=
HelpIspSelectFile=
HelpIspSelectParam=
HelpLicenseFile=
HelpLicenseParam=
HelpRebootFile=
HelpRebootParam=
HelpRemoveFile=
HelpRemoveParam=
HelpSettingsFile=
HelpSettingsParam=
HelpShutdownFile=
HelpShutdownParam=
HelpSummaryFile=
HelpSummaryParam=
HelpWelcomeFile=
HelpWelcomeParam=

; The minimum VCI value that the configuration dialog box will accept
MinVci=32
MaxVci=65535

; Specifies if the "Other Isp" item will be added to the ISP list
ShowOtherIspChoice = 1

; If the "Other Isp" item is shown in the ISP list, this specifies if it
; should be placed at the beginning or the end of the list
OtherIspAtEnd = 0

EnableHardDriveDma = 0

; A comma-deliminated list of file names.  Each file will be removed
; from the windows system directory during uninstall.  On 2k these files
; will also be removed during reboot in case they were locked by the OS.
RemoveFromWinSysDir=

; This value determines the reboot behavior in Win95.  Possible values are:
; SHUTDOWN - System prompts for a shutdown (recommended)
; REBOOT - System prompts for a reboot
Win95RebootMode = SHUTDOWN

; If set to 1, this flag will reboot the system without showing
; a prompt first (during installation).  Prompts to shutdown are still shown.
SuppressRebootPrompts = 0

; When set to 1, this flag will disable the reboot prompt during uninstall.
; The system will not reboot in this case.  This flag is only valid for
; Windows 2000 and XP.
NoUninstallReboot = 0

; This flag determines if the setup wizard's bitmap is transparent.
; If 1, it is transparent and the upper-left-hand corner pixel will be used
; as the transparent color.  If 0, the bitmap will be solid.
MakeInstBmpTransparent = 1

; The VPI/VCI is usually communicated to the driver through the phone number
; in dialup networking (for wan and atm).  If this flag is set to 1, 
; the phone number is ignored, and the VPI/VCI will give the driver the values
; through the registry.
IgnoreDialupPhoneNumber = 0

; This flag determines if the installer will disable the driver certification 
; warning on Windows 2000 and WinXp.
; 1 - The warnings will be suppressed
; 0 - The warnings will not be suppressed
DisableWin2kWarning = 1

; This flag determines if the OS generated progress windows will be hidden during 
; the install.  If you set this to 1, DisableWin2kWarning should be enabled as well
; in order to suppress all OS install windows and ensure proper operation.
;
; The use of this option is discouraged since it alters the way the OS handles the 
; driver install.  While it hasn't shown any negative effects during testing, it may
; still cause some unexpected behavior.
; 1 - The windows will be hidden
; 0 - The windows will not be hidden
HideOSInstallWins = 0

; This value sets the driver's frame size if PPPoE encapsulation is selected.
PppoeFrameSize = 1492

; Number of retries that PPP will attempt for negotiating parameters.  If
; this value is -1, the Windows default will be used.
MaxPppFailures = -1

; This value will cause the installer to exit after it installs the driver
; files but before the plug and play process occurs.  This is useful if
; the USB cable will not necessarily be plugged in at installation time.
ExitBeforePnP = 0

; If InstallSilently is set to 1, no GUI is shown to the user while installing.  
; This feature is intended for use when this installer is being called by 
; another application with its own GUI.  Another way to set this mode is to 
; run setup.exe with the command line parameter -s (setup.exe -s).
InstallSilently = 0

; The following parameters specify the location of the drivers directory
; on the CDROM for the corresponding operating systems.
DriverDir95 = Drivers95
DriverDir98 = Drivers
DriverDirME = Drivers
DriverDir2K = Drivers
DriverDirXP = Drivers

; Comma-delimited list of sections that describe a start-menu icon.  
; Each icon will point to a file installed in the program files directory
StartMenuIconSections=StartMenuSampleDoc

; Comma-delimited list of ISP sections.  Do not include IspDefault.
IspSections=IspAOL,IspGlobeSpanWanA,IspGlobeSpanPppoe,IspGlobeSpanLanA

Debug=ERROR

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; Any value in the DriverRegistryValues section will be copied to the
; registry area of the network driver and be written as a string value.
[DriverRegistryValues]

; Vendor ID transmitted in EOC status request (in hex)
VendorId=39

; Allow the user to enter control panel's debug mode (1 is enable, 0 is disable).
; This is only used by the old control panel (gsi.cpl) and is ignored by
; dslstat.exe.
CplDebugMode=1

; This flag determines if the company logo in the control panel is transparent.
; If 1, it is transparent and the upper-left-hand corner pixel will be used
; as the transparent color.  If 0, the company logo will be solid.
; This is only used by the old control panel (gsi.cpl) and is ignored by
; dslstat.exe.
IsLogoTransparent = 0

; This determines what deployment profile the firmware should use.
; MAIN = 0, BT = 100, SPAIN = 200, SBC = 300, COVAD = 400, BRAZIL = 500,
; MII = 600, KT = 700, TELSTRA = 800, XR = 900, HAN = A00, FRANCE = B00
DeploymentProfile = 0

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[StartMenuSampleDoc]

; File in ProgramFilesDir to point to
FileName=DslStat.exe

Description=DSL Status

; 1 if a shortcut should be created on desktop
ShortcutToDesktop=1

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[Languages]

;; This section has one entry for each supported language.  The value of
;; each language is in the following format:
;;
;; <name> = instLangDll,oldCplLangDll,newCplLangDll,langId,subLangId,resourceId
;; where:
;; instLangDll - the name of the language dll for the installer
;; oldCplLangDll - the name of the language dll for the cpl version 3.x.x
;; newCplLangDll - the name of the language dll for the cpl version 4.x.x
;; langId - primary language id code (as defined by the os)
;; subLangId - secondary language id code
;; resourceId - string resource value of name of language

english = ginst_english.dll,CplEng.dll,CplEng.dll,0x0009,0,101
japanese = ginst_japanese.dll,gcpl_japanese.dll,CplJapan.dll,0x0011,0,107
chinese_simp = ginst_chinesesimp.dll,gcpl_chinesesimp.dll,CplChinS.dll,0x0004,2,102
chinese_trad = ginst_chinesetrad.dll,gcpl_chinesetrad.dll,CplChinT.dll,0x0004,1,103
german = ginst_german.dll,gcpl_german.dll,CplGermn.dll,0x0007,0,105
italian = ginst_italian.dll,gcpl_italian.dll,CplItaln.dll,0x0010,0,106
korean = ginst_korean.dll,gcpl_korean.dll,CplKorea.dll,0x0012,0,108
portuguese = ginst_portuguese.dll,gcpl_portuguese.dll,CplPort.dll,0x0016,0,109
spanish = ginst_spanish.dll,gcpl_spanish.dll,CplSpan.dll,0x000a,0,110
french = ginst_french.dll,gcpl_french.dll,CplFrnch.dll,0x000c,0,104
danish = ginst_danish.dll,gcpl_danish.dll,CplDansh.dll,0x0006,0,125
dutch = ginst_dutch.dll,gcpl_dutch.dll,CplDutch.dll,0x0013,0,124
turkish = ginst_turkish.dll,gcpl_turkish.dll,CplTurkish.dll,0x001F,0,135


; -------------------------------------------------------------------------
;                              ISP DESCRIPTIONS
; -------------------------------------------------------------------------

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; ; Description of fields:
;;
;; ; DriverLocation points to a directory under PCI or USB.  This must match
;; ; the directory name exactly.
;; ; Default directory names are (under drivers):
;; ; WAN Driver
;; ; ATM Driver
;; ; LAN Driver
;; DriverLocation=WAN Driver
;;
;; ; Default VPI/VCI
;; VPI=0
;; VCI=88
;;
;; ; Layer 3 Protocol
;; ; 1 - RFC 1577 Classical IPoATM (Lan Driver only)
;; ; 2 - RFC 2684 IPoATM Bridged LLC Encapsulation (Lan Driver only)
;; ; 3 - RFC 2684 IPoATM Bridged VC Encapsulation (Lan Driver only)
;; ; 4 - RFC 2684 IPoATM Routed LLC Encapsulation (Lan Driver only)
;; ; 5 - RFC 2684 IPoATM Routed VC Encapsulation (Lan Driver only)
;; ; 6 - RFC 2364 PPPoATM LLC Encapsulation (WAN and ATM Drivers only)
;; ; 7 - RFC 2364 PPPoATM NULL Encapsulation (WAN and ATM Drivers only)
;; ; 8 - RFC 2516 PPPoE Encapsulation (WAN USB Driver only)
;; Layer3Protocol=7
;;
;; ; Modulation
;; ; 0 - T1.413
;; ; 1 - G.Lite
;; ; 2 - G.DMT
;; ; 4 - Multimode
;; ; 14 - Alcatel Annex-B
;; ; 15 - Alcatel Annex-B 4.1
;; Modulation=4
;;
;; ; Displayed in service provider selection drop list
;; Description=GlobespanVirata
;;
;; ; Show a status icon in the system tray (1 shows icon, 0 doesn't).  This
;; ; only applies to the old control panel (gsi.cpl) and is ignored by
;; ; dslstat.exe
;; ShowSysTrayIcon=1
;;
;; ; If a file is specified here, it will be executed after the installation
;; ; process finishes.  The file must be located in the ProgramFiles directory
;; ; of the installation media.  If no file is present, nothing will be executed.
;; RunOnExit=myapp.exe
;;
;; ; If 1, a dial-up icon will be created for this ISP.  If 0, no dial-up
;; ; icon will be created.
;; CreateDialup=1
;;
;; ; Name that is shown for the dial-up icon, if created.
;; DialUpName=GlobespanVirata Dial-Up PPP Connection
;; 
;; ; If 1, a shortcut to the dial-up icon will be created on the desktop.
;; ; If 0, no shortcut will be created.
;; CreateDialupDeskShortcut=1
;;
;; ; If 1, a shortcut to the dial-up icon will be created in the start menu.
;; ; If 0, no shortcut will be created.
;; CreateDialupMenuShortcut=0
;;
;; ; Specifies an icon for the shorcut to the dial-up networking.  A value
;; ; of -1 specifies the default icon to be used.  Any other value specifies
;; ; an icon located in the language dll.  0 means the first icon in the dll.
;; DialupShortcutIconIndex=-1
;;
;; ; Specifies the firmware files that the driver will load.  If there
;; ; are multiple files seperated by commas, the driver will cycle 
;; ; through those files until data mode is achieved.  Each of these
;; ; files in the list need to exist in the Firwmare directory.
;; ; These files will override any files that are copied by the inf file.
;; ; If no value is specified, the default in the inf file will apply.
;; FirmwareFiles=gtipdsp.bin
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; The default ISP section is used if the user selects "Not Listed" from ISP
; list.  Some values here are also used for autoconfig.
[IspDefault]
DriverLocation=WAN Driver
VPI=0
VCI=88
Layer3Protocol=7
Modulation=4
Description=Conexant
CreateDialup=1
ShowSysTrayIcon=1
RunOnExit=
DialUpName=Conexant Dial-Up PPP Connection
CreateDialupDeskShortcut=1
CreateDialupMenuShortcut=0
DialupShortcutIconIndex=-1
FirmwareFiles=

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[IspAOL]
DriverLocation=LAN Driver
VPI=0
VCI=88
Layer3Protocol=2
Modulation=4
CreateDialup=1
ShowSysTrayIcon=1
RunOnExit=
Description=America Online (Example)
DialUpName=AOL Dial-Up PPP Connection
CreateDialupDeskShortcut=1
CreateDialupMenuShortcut=0
DialupShortcutIconIndex=-1
FirmwareFiles=

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[IspGlobeSpanWanA]
DriverLocation=WAN Driver
VPI=0
VCI=88
Layer3Protocol=7
Modulation=4
Description=Conexant WAN (PPPoA)
CreateDialup=1
ShowSysTrayIcon=1
RunOnExit=
DialUpName=Conexant Dial-Up PPP Connection
CreateDialupDeskShortcut=1
CreateDialupMenuShortcut=0
DialupShortcutIconIndex=-1
FirmwareFiles=

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[IspGlobeSpanPppoe]
DriverLocation=WAN Driver
VPI=0
VCI=36
Layer3Protocol=8
Modulation=4
Description=Conexant WAN (PPPoE)
CreateDialup=1
ShowSysTrayIcon=1
RunOnExit=
DialUpName=Conexant Dial-Up PPP Connection
CreateDialupDeskShortcut=1
CreateDialupMenuShortcut=0
DialupShortcutIconIndex=-1
FirmwareFiles=

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[IspGlobeSpanLanA]
DriverLocation=LAN Driver
VPI=0
VCI=35
Layer3Protocol=2
Modulation=4
Description=Conexant LAN
CreateDialup=0
ShowSysTrayIcon=1
RunOnExit=
DialUpName=Conexant Dial-Up PPP Connection
CreateDialupDeskShortcut=1
CreateDialupMenuShortcut=0
DialupShortcutIconIndex=-1
FirmwareFiles=


